<?php

namespace Modules\Module;

use Illuminate\Routing\Router;
use Illuminate\Support\ServiceProvider;
use Modules\Module\Components\SettingView;

class ModuleServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        app(Router::class)->middleware(['web', 'auth:web'])->group(function ($router) {
            $router->get('/setting/module', SettingView::class)->name('setting.module');
        });
    }
}
